Package io.dapr.v1

# Class DaprProtos.TransactionalStateOperation.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalStateOperation.Builder>
io.dapr.v1.DaprProtos.TransactionalStateOperation.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.TransactionalStateOperationOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.TransactionalStateOperation

public static final class DaprProtos.TransactionalStateOperation.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalStateOperation.Builder> implements DaprProtos.TransactionalStateOperationOrBuilder

     TransactionalStateOperation is the message to execute a specified operation with a key-value pair.

Protobuf type `dapr.proto.runtime.v1.TransactionalStateOperation`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.TransactionalStateOperation.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.TransactionalStateOperation`
`build()`
`DaprProtos.TransactionalStateOperation`
`buildPartial()`
`DaprProtos.TransactionalStateOperation.Builder`
`clear()`
`DaprProtos.TransactionalStateOperation.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.TransactionalStateOperation.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.TransactionalStateOperation.Builder`
`clearOperationType()`
The type of operation to be executed
`DaprProtos.TransactionalStateOperation.Builder`
`clearRequest()`
State values to be operated on
`DaprProtos.TransactionalStateOperation.Builder`
`clone()`
`DaprProtos.TransactionalStateOperation`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getOperationType()`
The type of operation to be executed
`com.google.protobuf.ByteString`
`getOperationTypeBytes()`
The type of operation to be executed
`CommonProtos.StateItem`
`getRequest()`
State values to be operated on
`CommonProtos.StateItem.Builder`
`getRequestBuilder()`
State values to be operated on
`CommonProtos.StateItemOrBuilder`
`getRequestOrBuilder()`
State values to be operated on
`boolean`
`hasRequest()`
State values to be operated on
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprProtos.TransactionalStateOperation.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.TransactionalStateOperation.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.TransactionalStateOperation.Builder`
`mergeFrom(DaprProtos.TransactionalStateOperation other)`
`DaprProtos.TransactionalStateOperation.Builder`
`mergeRequest(CommonProtos.StateItem value)`
State values to be operated on
`final DaprProtos.TransactionalStateOperation.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.TransactionalStateOperation.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.TransactionalStateOperation.Builder`
`setOperationType(String value)`
The type of operation to be executed
`DaprProtos.TransactionalStateOperation.Builder`
`setOperationTypeBytes(com.google.protobuf.ByteString value)`
The type of operation to be executed
`DaprProtos.TransactionalStateOperation.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.TransactionalStateOperation.Builder`
`setRequest(CommonProtos.StateItem value)`
State values to be operated on
`DaprProtos.TransactionalStateOperation.Builder`
`setRequest(CommonProtos.StateItem.Builder builderForValue)`
State values to be operated on
`final DaprProtos.TransactionalStateOperation.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalStateOperation.Builder>`

### clear

public DaprProtos.TransactionalStateOperation.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalStateOperation.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalStateOperation.Builder>`

### getDefaultInstanceForType

public DaprProtos.TransactionalStateOperation getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.TransactionalStateOperation build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.TransactionalStateOperation buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.TransactionalStateOperation.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalStateOperation.Builder>`

### setField

public DaprProtos.TransactionalStateOperation.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalStateOperation.Builder>`

### clearField

public DaprProtos.TransactionalStateOperation.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalStateOperation.Builder>`

### clearOneof

public DaprProtos.TransactionalStateOperation.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalStateOperation.Builder>`

### setRepeatedField

public DaprProtos.TransactionalStateOperation.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalStateOperation.Builder>`

### addRepeatedField

public DaprProtos.TransactionalStateOperation.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalStateOperation.Builder>`

### mergeFrom

public DaprProtos.TransactionalStateOperation.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.TransactionalStateOperation.Builder>`

### mergeFrom

public DaprProtos.TransactionalStateOperation.Builder mergeFrom(DaprProtos.TransactionalStateOperation other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalStateOperation.Builder>`

### mergeFrom

public DaprProtos.TransactionalStateOperation.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.TransactionalStateOperation.Builder>`
Throws:
  `IOException`

### getOperationType

public String getOperationType()

     The type of operation to be executed

`string operationType = 1;`

Specified by:
  `getOperationType` in interface `DaprProtos.TransactionalStateOperationOrBuilder`
Returns:
  The operationType.

### getOperationTypeBytes

public com.google.protobuf.ByteString getOperationTypeBytes()

     The type of operation to be executed

`string operationType = 1;`

Specified by:
  `getOperationTypeBytes` in interface `DaprProtos.TransactionalStateOperationOrBuilder`
Returns:
  The bytes for operationType.

### setOperationType

public DaprProtos.TransactionalStateOperation.Builder setOperationType(String value)

     The type of operation to be executed

`string operationType = 1;`

Parameters:
  `value` - The operationType to set.
Returns:
  This builder for chaining.

### clearOperationType

public DaprProtos.TransactionalStateOperation.Builder clearOperationType()

     The type of operation to be executed

`string operationType = 1;`

Returns:
  This builder for chaining.

### setOperationTypeBytes

public DaprProtos.TransactionalStateOperation.Builder setOperationTypeBytes(com.google.protobuf.ByteString value)

     The type of operation to be executed

`string operationType = 1;`

Parameters:
  `value` - The bytes for operationType to set.
Returns:
  This builder for chaining.

### hasRequest

public boolean hasRequest()

     State values to be operated on

`.dapr.proto.common.v1.StateItem request = 2;`

Specified by:
  `hasRequest` in interface `DaprProtos.TransactionalStateOperationOrBuilder`
Returns:
  Whether the request field is set.

### getRequest

public CommonProtos.StateItem getRequest()

     State values to be operated on

`.dapr.proto.common.v1.StateItem request = 2;`

Specified by:
  `getRequest` in interface `DaprProtos.TransactionalStateOperationOrBuilder`
Returns:
  The request.

### setRequest

public DaprProtos.TransactionalStateOperation.Builder setRequest(CommonProtos.StateItem value)

     State values to be operated on

`.dapr.proto.common.v1.StateItem request = 2;`

### setRequest

public DaprProtos.TransactionalStateOperation.Builder setRequest(CommonProtos.StateItem.Builder builderForValue)

     State values to be operated on

`.dapr.proto.common.v1.StateItem request = 2;`

### mergeRequest

public DaprProtos.TransactionalStateOperation.Builder mergeRequest(CommonProtos.StateItem value)

     State values to be operated on

`.dapr.proto.common.v1.StateItem request = 2;`

### clearRequest

public DaprProtos.TransactionalStateOperation.Builder clearRequest()

     State values to be operated on

`.dapr.proto.common.v1.StateItem request = 2;`

### getRequestBuilder

public CommonProtos.StateItem.Builder getRequestBuilder()

     State values to be operated on

`.dapr.proto.common.v1.StateItem request = 2;`

### getRequestOrBuilder

public CommonProtos.StateItemOrBuilder getRequestOrBuilder()

     State values to be operated on

`.dapr.proto.common.v1.StateItem request = 2;`

Specified by:
  `getRequestOrBuilder` in interface `DaprProtos.TransactionalStateOperationOrBuilder`

### setUnknownFields

public final DaprProtos.TransactionalStateOperation.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalStateOperation.Builder>`

### mergeUnknownFields

public final DaprProtos.TransactionalStateOperation.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalStateOperation.Builder>`